com.informix.jdbc

## Enum IfxConnectionProperty

- java.lang.Object
- - java.lang.Enum<IfxConnectionProperty>
  - - com.informix.jdbc.IfxConnectionProperty

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IfxConnectionProperty>

    public enum IfxConnectionProperty
    extends java.lang.Enum<IfxConnectionProperty>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IFMXCONNECTION_CLEANER_DELAY_MAXIMUM`
`IFMXCONNECTION_CLEANER_DELAY_MINIMUM`
`IFMXCONNECTION_CLEANER_THREADS`
`IFMXCONNECTION_CLEANER_ZEROPOINT`
`IFMXCONNECTION_PREPAREDSTATEMENT_IMPLICITCACHE_ENABLE`
`IFMXCONNECTION_PREPAREDSTATEMENT_IMPLICITCACHE_SIZE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `defaultValue()`
`boolean` `getBooleanValue()`
`boolean` `getBooleanValue(IfxSqliConnect connection)`
`boolean` `getBooleanValue(java.util.Properties properties)`
`int` `getIntValue()`
`int` `getIntValue(IfxSqliConnect connection)`
`int` `getIntValue(java.util.Properties properties)`
`long` `getLongValue()`
`long` `getLongValue(IfxSqliConnect connection)`
`long` `getLongValue(java.util.Properties properties)`
`java.lang.String` `getStringValue()`
`java.lang.String` `getStringValue(IfxSqliConnect connection)`
`java.lang.String` `getStringValue(java.util.Properties properties)`
`java.lang.String` `key()`
`static IfxConnectionProperty` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IfxConnectionProperty[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### IFMXCONNECTION_CLEANER_THREADS

    public static final IfxConnectionProperty IFMXCONNECTION_CLEANER_THREADS

#### IFMXCONNECTION_CLEANER_DELAY_MINIMUM

    public static final IfxConnectionProperty IFMXCONNECTION_CLEANER_DELAY_MINIMUM

#### IFMXCONNECTION_CLEANER_DELAY_MAXIMUM

    public static final IfxConnectionProperty IFMXCONNECTION_CLEANER_DELAY_MAXIMUM

#### IFMXCONNECTION_CLEANER_ZEROPOINT

    public static final IfxConnectionProperty IFMXCONNECTION_CLEANER_ZEROPOINT

#### IFMXCONNECTION_PREPAREDSTATEMENT_IMPLICITCACHE_ENABLE

    public static final IfxConnectionProperty IFMXCONNECTION_PREPAREDSTATEMENT_IMPLICITCACHE_ENABLE

#### IFMXCONNECTION_PREPAREDSTATEMENT_IMPLICITCACHE_SIZE

    public static final IfxConnectionProperty IFMXCONNECTION_PREPAREDSTATEMENT_IMPLICITCACHE_SIZE

### Method Detail

#### values

    public static IfxConnectionProperty[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IfxConnectionProperty c : IfxConnectionProperty.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IfxConnectionProperty valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### key

    public java.lang.String key()

#### defaultValue

    public java.lang.String defaultValue()

#### getBooleanValue

    public boolean getBooleanValue()

#### getBooleanValue

    public boolean getBooleanValue(IfxSqliConnect connection)

#### getBooleanValue

    public boolean getBooleanValue(java.util.Properties properties)

#### getIntValue

    public int getIntValue()

#### getIntValue

    public int getIntValue(IfxSqliConnect connection)

#### getIntValue

    public int getIntValue(java.util.Properties properties)

#### getLongValue

    public long getLongValue()

#### getLongValue

    public long getLongValue(IfxSqliConnect connection)

#### getLongValue

    public long getLongValue(java.util.Properties properties)

#### getStringValue

    public java.lang.String getStringValue()

#### getStringValue

    public java.lang.String getStringValue(IfxSqliConnect connection)

#### getStringValue

    public java.lang.String getStringValue(java.util.Properties properties)